Name:           ws-commons-util
Version:        1.0.2
Release:        %mkrel 7
Group:          Development/Java
Summary:        Common utilities from the Apache Web Services Project

License:        ASL 2.0
URL:            https://ws.apache.org/commons/util

# svn checkout http://svn.apache.org/repos/asf/webservices/commons/tags/util/1.0.2/ ws-commons-util-1.0.2
# tar cJf ws-commons-util-1.0.2.tar.xz ws-commons-util-1.0.2
Source0:        ws-commons-util-1.0.2.tar.xz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
This is version 1.0.2 of the common utilities from the Apache Web
Services Project.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}
%mvn_file : %{name}
%mvn_alias org.apache.ws.commons:ws-commons-util org.apache.ws.commons.util:ws-commons-util
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.apache.ws.commons.util</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Localization>plugin</Bundle-Localization>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

# This dep is supplied by the JRE
%pom_remove_dep "xml-apis:xml-apis"

# Remove hard-coded compiler configuration
%pom_remove_plugin :maven-compiler-plugin

# Avoid unnecessary runtime dependency on junit, used for tests only
%pom_xpath_inject 'pom:dependency[pom:artifactId="junit"]' "<scope>test</scope>"

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-7.mga9
+ Revision: 1827580
- Mageia 9 Mass Rebuild

* Sun Sep 06 2020 daviddavid <daviddavid> 1.0.2-6.mga8
+ Revision: 1622892
- Allow building against Java 11
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-5.mga8
+ Revision: 1501252
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1277151
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.0.2-3.mga6
+ Revision: 1103415
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 981457
- First rebuild of the java stack
- sync package ws-commons-util with fedora (update to 1.0.2)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 daviddavid <daviddavid> 1.0.1-28.mga5
+ Revision: 809789
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-27.mga5
+ Revision: 748643
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 spuhler <spuhler> 1.0.1-25.mga5
+ Revision: 640521
- added BuildRequires:  maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 dmorgan <dmorgan> 1.0.1-24.mga3
+ Revision: 389763
- Fix OSGi

* Sat Jan 19 2013 dmorgan <dmorgan> 1.0.1-23.mga3
+ Revision: 389759
- Patch pom.xml to remove maven-eclipse-plugin
- Add missing java and jpackage-utils requires
- Fix OSGi manifest.
- Adapt to current guidelines.

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 385864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 16 2011 gil <gil> 1.0.1-8.mga2
+ Revision: 133908
- maven-build.xml, modified
- rebuilt with maven3 support, added osgi scripts

* Sat Apr 30 2011 pterjan <pterjan> 1.0.1-7.mga1
+ Revision: 93952
- Bump release higher than Mandriva

* Tue Feb 01 2011 dmorgan <dmorgan> 1.0.1-2.mga1
+ Revision: 45881
- Adapt for mageia
- imported package ws-commons-util

